Organizations

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

DELETE
PATCH
GET
POST
DELETE
POST
POST
GET
POST
GET
DELETE
GET
GET
PATCH
DELETE
GET
GET
GET
GET

Delete org organization integrations

ViewSet for organization-level integrations.

Provides access to integrations that are scoped to the entire organization (vs. project-level integrations). Examples include Vercel, AWS Marketplace, etc.

Creation is handled by the integration installation flows (e.g., Vercel marketplace installation). Users can disconnect integrations via the DELETE endpoint.

Required API key scopes

organization_integration:write

Path parameters

  • id
    string

Example request

DELETE /api/organizations/:organization_id/integrations/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/integrations/:id/

Example response

Status 204 No response body
Status 409 Deauthorization is blocked because the account has unpaid invoices.

Update integrations environment mapping

ViewSet for organization-level integrations.

Provides access to integrations that are scoped to the entire organization (vs. project-level integrations). Examples include Vercel, AWS Marketplace, etc.

Creation is handled by the integration installation flows (e.g., Vercel marketplace installation). Users can disconnect integrations via the DELETE endpoint.

Path parameters

  • id
    string

Request parameters


    Response


    Example request

    PATCH /api/organizations/:organization_id/integrations/:id/environment-mapping
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl -X PATCH \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/integrations/:id/environment-mapping/\
    -d kind=undefined

    Example response

    Status 200
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "kind": "vercel",
    "integration_id": "string",
    "config": null,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    }
    }

    List all invites

    Required API key scopes

    organization_member:read

    Query parameters

    • limit
      integer
    • offset
      integer

    Response


    Example request

    GET /api/organizations/:organization_id/invites
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/invites/

    Example response

    Status 200
    RESPONSE
    {
    "count": 123,
    "next": "http://api.example.org/accounts/?offset=400&limit=100",
    "previous": "http://api.example.org/accounts/?offset=200&limit=100",
    "results": [
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "target_email": "user@example.com",
    "first_name": "string",
    "emailing_attempt_made": true,
    "level": 1,
    "is_expired": true,
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "message": "string",
    "private_project_access": null,
    "send_email": true,
    "combine_pending_invites": false
    }
    ]
    }

    Create invites

    Required API key scopes

    organization_member:write

    Request parameters

    • target_email
      string
    • first_name
      string
    • level
    • message
      stringnull
    • private_project_access
    • send_email
      boolean
      Default: true
    • combine_pending_invites
      boolean
      Default: false

    Response


    Example request

    POST /api/organizations/:organization_id/invites
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl
    -H 'Content-Type: application/json'\
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/invites/\
    -d target_email="string"

    Example response

    Status 201
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "target_email": "user@example.com",
    "first_name": "string",
    "emailing_attempt_made": true,
    "level": 1,
    "is_expired": true,
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "message": "string",
    "private_project_access": null,
    "send_email": true,
    "combine_pending_invites": false
    }

    Delete invites

    Required API key scopes

    organization_member:write

    Path parameters

    • id
      string

    Example request

    DELETE /api/organizations/:organization_id/invites/:id
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl -X DELETE \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/invites/:id/

    Example response

    Status 204 No response body

    Create invites bulk

    Required API key scopes

    organization_member:write

    Request parameters

    • target_email
      string
    • first_name
      string
    • level
    • message
      stringnull
    • private_project_access
    • send_email
      boolean
      Default: true
    • combine_pending_invites
      boolean
      Default: false

    Example request

    POST /api/organizations/:organization_id/invites/bulk
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl
    -H 'Content-Type: application/json'\
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/invites/bulk/\
    -d target_email="string"

    Example response

    Status 200 No response body

    Create invites delegate

    Create an onboarding delegation invite: an admin-level invite flagged as a setup delegation. Sends a single dedicated delegation email and records the inviting user as having delegated.

    Required API key scopes

    organization_member:write

    Request parameters

    • target_email
      string
    • message
      string
    • step_at_delegation
      string

    Response


    Example request

    POST /api/organizations/:organization_id/invites/delegate
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl
    -H 'Content-Type: application/json'\
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/invites/delegate/\
    -d target_email="string"

    Example response

    Status 200
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "target_email": "user@example.com",
    "first_name": "string",
    "emailing_attempt_made": true,
    "level": 1,
    "is_expired": true,
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "message": "string",
    "private_project_access": null,
    "send_email": true,
    "combine_pending_invites": false
    }


    Create legal documents

    Required API key scopes

    legal_document:write

    Request parameters

    • document_type
    • company_name
      string
    • company_address
      string
    • representative_email
      string

    Response


    Example request

    POST /api/organizations/:organization_id/legal_documents
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl
    -H 'Content-Type: application/json'\
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/legal_documents/\
    -d document_type=undefined,\
    -d company_name="string",\
    -d company_address="string",\
    -d representative_email="string"

    Example response

    Status 201
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "document_type": "string",
    "company_name": "string",
    "representative_email": "string",
    "status": "string",
    "signed_pdf_stored": true,
    "created_by": {
    "first_name": "string",
    "email": "string"
    },
    "created_at": "2019-08-24T14:15:22Z"
    }




    List all members

    Required API key scopes

    organization_member:read

    Query parameters

    • email_domain
      string
    • levels
      string
    • limit
      integer
    • offset
      integer
    • order
      string
      One of: "-joined_at""joined_at"
    • outside_verified_domains
      boolean
    • search
      string

    Response


    Example request

    GET /api/organizations/:organization_id/members
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/members/

    Example response

    Status 200
    RESPONSE
    {
    "count": 123,
    "next": "http://api.example.org/accounts/?offset=400&limit=100",
    "previous": "http://api.example.org/accounts/?offset=200&limit=100",
    "results": [
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "user": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "level": 1,
    "joined_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "is_2fa_enabled": true,
    "has_social_auth": true,
    "last_login": "2019-08-24T14:15:22Z",
    "search_match_type": "exact"
    }
    ]
    }

    Update members

    Required API key scopes

    organization_member:write

    Path parameters

    • user__uuid
      string

    Request parameters

    • level

    Response


    Example request

    PATCH /api/organizations/:organization_id/members/:user__uuid
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl -X PATCH \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/members/:user__uuid/\
    -d user=undefined

    Example response

    Status 200
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "user": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "level": 1,
    "joined_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "is_2fa_enabled": true,
    "has_social_auth": true,
    "last_login": "2019-08-24T14:15:22Z",
    "search_match_type": "exact"
    }

    Delete members

    Required API key scopes

    organization_member:write

    Path parameters

    • user__uuid
      string

    Example request

    DELETE /api/organizations/:organization_id/members/:user__uuid
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl -X DELETE \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/members/:user__uuid/

    Example response

    Status 204 No response body

    Retrieve members github login

    Required API key scopes

    organization_member:read

    Path parameters

    • user__uuid
      string

    Response


    Example request

    GET /api/organizations/:organization_id/members/:user__uuid/github_login
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/members/:user__uuid/github_login/

    Example response

    Status 200
    RESPONSE
    {
    "github_login": "string"
    }

    Retrieve members scoped api keys

    Path parameters

    • user__uuid
      string

    Response


    Example request

    GET /api/organizations/:organization_id/members/:user__uuid/scoped_api_keys
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/members/:user__uuid/scoped_api_keys/

    Example response

    Status 200
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "user": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "level": 1,
    "joined_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "is_2fa_enabled": true,
    "has_social_auth": true,
    "last_login": "2019-08-24T14:15:22Z",
    "search_match_type": "exact"
    }

    List all oauth applications

    ViewSet for listing OAuth applications at the organization level (read-only).

    Required API key scopes

    organization:read

    Query parameters

    • limit
      integer
    • offset
      integer

    Response


    Example request

    GET /api/organizations/:organization_id/oauth_applications
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/oauth_applications/

    Example response

    Status 200
    RESPONSE
    {
    "count": 123,
    "next": "http://api.example.org/accounts/?offset=400&limit=100",
    "previous": "http://api.example.org/accounts/?offset=200&limit=100",
    "results": [
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "client_id": "string",
    "redirect_uris_list": [
    "string"
    ],
    "is_verified": true,
    "created": "2019-08-24T14:15:22Z",
    "updated": "2019-08-24T14:15:22Z"
    }
    ]
    }

    List all organizations projects

    Projects for the current organization.

    Required API key scopes

    project:read

    Query parameters

    • limit
      integer
    • offset
      integer
    • search
      string
    • tags
      string
    • tags_match
      string
      One of: "all""any"

    Response


    Example request

    GET /api/organizations/:organization_id/projects
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/projects/

    Example response

    Status 200
    RESPONSE
    {
    "count": 123,
    "next": "http://api.example.org/accounts/?offset=400&limit=100",
    "previous": "http://api.example.org/accounts/?offset=200&limit=100",
    "results": [
    {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "organization": "452c1a86-a0af-475b-b03f-724878b0f387",
    "project_id": 0,
    "api_token": "string",
    "name": "string",
    "completed_snippet_onboarding": true,
    "has_completed_onboarding_for": null,
    "ingested_event": true,
    "is_demo": true,
    "timezone": "Africa/Abidjan",
    "access_control": true,
    "tags": [
    "string"
    ]
    }
    ]
    }